
package de.ivu.elect.presentation.wahl.action;

import javax.inject.Inject;

import de.ivu.elect.business.wahl.boundary.WahlParameterChangeEvent;
import de.ivu.elect.business.wahl.boundary.WahlterminSessionSelect;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractWahlParameterAction extends AbstractActionEntry<WahlParameter> {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlterminSessionSelect wahlterminSelect;

  @Inject
  private WahlParameterChangeEvent changeEvent;

  public AbstractWahlParameterAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  protected boolean isWahlterminSelected() {
    return wahlterminSelect.isSelected();
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }
}
